UST integration is broken

Yao Qi yao@codesourcery.com
Mon Jan 9 15:58:00 GMT 2012


On 01/07/2012 10:37 AM, Sergio Durigan Junior wrote:
> I am working on something related to static tracepoints markers, which
> is related to UST (http://lttng.org/ust).  I did some modifications on
> the code, and was trying to test the result, when I realized I did not
> have UST installed here.  Ok, so I decided to compile it and install
> locally just for a quick test, and after some time struggling with
> compilation flags, I noticed that the current UST does not support GDB
> anymore.  For more information, see this commit:
> 
> http://git.lttng.org/?p=ust.git;a=commit;h=fe566790e6be3f27f0befd85b715a3e84977bf6c
> 

libinproctrace.so is unable to build with UST after 0.11
release.  GDB support in UST was temporarily removed from UST by the
commit you pointed out.  GDB CVS trunk is still able to build with UST
0.11 and URCU 0.5.3.

> I also noticed that the header file ust/ust.h is not installed, thus
> making the configure process useless.  I am sending this message because
> I am in doubt about what to do: should we completely remove the support
> from GDB (since according to the commit message above, the
> implementation is going to be revamp'ed), or just temporarily disable
> it?  I was going to send a patch for the latter, but decided to ask
> first.

If UST 0.11 is installed, everything still works well, otherwise, UST
stuff will not be compiled.  So I disagree to disable it temporarily.

There has been a PR for this issue,

  gdb 7.2 can't build with lttng-ust 0.12
  http://sourceware.org/bugzilla/show_bug.cgi?id=12699

-- 
Yao (齐尧)



More information about the Gdb mailing list